<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_f7fafa">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_top"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/colorPrimary"
        app:layout_constraintTop_toTopOf="parent">

        <FrameLayout
            android:id="@+id/ll_title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingTop="6dp"
            android:paddingBottom="6dp"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/ivBack"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="@dimen/dp_16"
                android:src="@drawable/icon_return_w" />

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/junk_clean"
                android:textColor="@color/white"
                android:textSize="20sp"
                android:textStyle="bold" />

        </FrameLayout>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/ll_size"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="36dp"
            android:gravity="center"
            android:orientation="vertical"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/ll_title">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_length"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="0"
                    android:textColor="@color/white"
                    android:textSize="32sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_unit"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="6dp"
                    android:text="B"
                    android:textColor="@color/white"
                    android:textSize="17sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/found"
                android:textColor="@color/white"
                android:textSize="16sp"
                android:textStyle="bold"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/ll_size" />

        </androidx.appcompat.widget.LinearLayoutCompat>

        <com.airbnb.lottie.LottieAnimationView
            android:id="@+id/lottie_scan"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="36dp"
            android:layout_marginEnd="50dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@id/ll_title" />

        <ProgressBar
            android:id="@+id/pb_progress"
            style="?android:attr/progressBarStyleHorizontal"
            android:layout_width="match_parent"
            android:layout_height="2dp"
            android:layout_marginTop="32dp"
            android:max="100"
            android:progress="0"
            android:progressDrawable="@drawable/junk_clean_progress"
            app:layout_constraintTop_toBottomOf="@id/ll_size" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_path"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:ellipsize="end"
            android:maxLines="1"
            android:paddingVertical="6dp"
            android:text="@string/clean_tips"
            android:textColor="@color/white"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toBottomOf="@id/pb_progress"
            tools:ignore="TextContrastCheck"
            tools:layout_editor_absoluteX="15dp" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.dumpster.cleaner.business.ads.NativeParentView
        android:id="@+id/flAd"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="15dp"
        android:layout_marginTop="10dp"
        app:layout_constraintTop_toBottomOf="@id/cl_top">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:src="@drawable/zhanwei1"
            tools:ignore="ImageContrastCheck" />
    </com.dumpster.cleaner.business.ads.NativeParentView>

    <pokercc.android.expandablerecyclerview.ExpandableRecyclerView
        android:id="@+id/expandable_files"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="12dp"
        android:layout_marginBottom="12dp"
        android:paddingStart="15dp"
        android:paddingEnd="15dp"
        android:scrollbars="none"
        android:visibility="gone"
        app:layout_constraintBottom_toTopOf="@id/tv_clean"
        app:layout_constraintTop_toBottomOf="@id/flAd" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_clean"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="30dp"
        android:layout_marginBottom="30dp"
        android:background="@drawable/bg_btn_enable_50"
        android:gravity="center"
        android:paddingVertical="12dp"
        android:text="@string/clean"
        android:textColor="@color/white"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="parent" />

    <com.airbnb.lottie.LottieAnimationView
        android:id="@+id/id_shouzhi"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="2dp"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="@id/tv_clean"
        app:layout_constraintBottom_toBottomOf="@id/tv_clean"
        app:layout_constraintTop_toTopOf="@id/tv_clean"
        app:lottie_autoPlay="true"
        app:lottie_loop="true"
        app:lottie_rawRes="@raw/junk_shouzhi"
        tools:visibility="visible" />

    <include
        android:id="@+id/layout_animation"
        layout="@layout/layout_animation"
        android:visibility="gone" />
</androidx.constraintlayout.widget.ConstraintLayout>